OccurrenceJobInfoFields (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.job.occurrence

## Enum OccurrenceJobInfoFields

- java.lang.Object
- - java.lang.Enum<OccurrenceJobInfoFields>
  - - org.gcube.portlets.user.speciesdiscovery.client.job.occurrence.OccurrenceJobInfoFields

- All Implemented Interfaces:
    Serializable, Comparable<OccurrenceJobInfoFields>, GridField

      public enum OccurrenceJobInfoFields
      extends Enum<OccurrenceJobInfoFields>
      implements GridField

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOADING`
    `NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSortable()`
    `static OccurrenceJobInfoFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OccurrenceJobInfoFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final OccurrenceJobInfoFields NAME

    - #### LOADING

          public static final OccurrenceJobInfoFields LOADING

  - ### Method Detail

    - #### values

          public static OccurrenceJobInfoFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OccurrenceJobInfoFields c : OccurrenceJobInfoFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OccurrenceJobInfoFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `GridField`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `GridField`

    - #### isSortable

          public boolean isSortable()

      Specified by:
        `isSortable` in interface `GridField`

Copyright © 2013. All Rights Reserved.